nxt.addons

## Interface ContractRunnerConfig

-     public interface ContractRunnerConfig

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decryptFrom(byte[] publicKey, EncryptedData encryptedData, boolean uncompress)`
    `EncryptedData` | `encryptTo(byte[] publicKey, byte[] data, boolean compress)`
    `java.lang.String` | `getAccount()`
    `long` | `getAccountId()`
    `java.lang.String` | `getAccountRs()`
    `int` | `getCatchUpInterval()`
    `ContractProvider` | `getContractProvider()`
    `long` | `getCurrentFeeRateNQTPerFXT(int chainId)`
    `long` | `getFeeRateNQTPerFXT(int chainId)`
    `int` | `getMaxSubmittedTransactionsPerInvocation()`
    `long` | `getMinBundlerBalanceFXT()`
    `long` | `getMinBundlerFeeLimitFQT()`
    `JO` | `getParams()`
    `byte[]` | `getPublicKey()`
    `java.lang.String` | `getPublicKeyHexString()`
    `byte[]` | `getRunnerSeed()`
    `java.lang.String` | `getSecretPhrase()`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getValidatorSecretPhrase()`
    `void` | `init(JO config)`
    `boolean` | `isAutoFeeRate()`
    `boolean` | `isValidator()`

- - ### Method Detail

    - #### getPublicKey

          byte[] getPublicKey()

    - #### getPublicKeyHexString

          java.lang.String getPublicKeyHexString()

    - #### getAccountId

          long getAccountId()

    - #### getAccount

          java.lang.String getAccount()

    - #### getAccountRs

          java.lang.String getAccountRs()

    - #### isAutoFeeRate

          boolean isAutoFeeRate()

    - #### getMinBundlerBalanceFXT

          long getMinBundlerBalanceFXT()

    - #### getMinBundlerFeeLimitFQT

          long getMinBundlerFeeLimitFQT()

    - #### getFeeRateNQTPerFXT

          long getFeeRateNQTPerFXT(int chainId)

    - #### getCurrentFeeRateNQTPerFXT

          long getCurrentFeeRateNQTPerFXT(int chainId)

    - #### getParams

          JO getParams()

    - #### isValidator

          boolean isValidator()

    - #### getCatchUpInterval

          int getCatchUpInterval()

    - #### getMaxSubmittedTransactionsPerInvocation

          int getMaxSubmittedTransactionsPerInvocation()

    - #### getRunnerSeed

          byte[] getRunnerSeed()

    - #### getContractProvider

          ContractProvider getContractProvider()

    - #### encryptTo

          EncryptedData encryptTo(byte[] publicKey,
                                  byte[] data,
                                  boolean compress)

    - #### decryptFrom

          byte[] decryptFrom(byte[] publicKey,
                             EncryptedData encryptedData,
                             boolean uncompress)

    - #### getSecretPhrase

          java.lang.String getSecretPhrase()

    - #### getValidatorSecretPhrase

          java.lang.String getValidatorSecretPhrase()

    - #### getStatus

          java.lang.String getStatus()

    - #### init

          void init(JO config)